KDE 4.3 PyKDE API Reference

- KDE's Python API

# KIO.SslUi Namespace Reference

`from PyKDE4.kio.KIO.SslUi import *`

## Detailed Description

## Enumerations

RulesStorage | { RecallRules, StoreRules, RecallAndStoreRules }

## Functions

bool | askIgnoreSslErrors (KTcpSocket socket, KIO.SslUi.RulesStorage storedRules=KIO.SslUi.RecallAndStoreRules)
bool | askIgnoreSslErrors (KSslErrorUiData uiData, KIO.SslUi.RulesStorage storedRules=KIO.SslUi.RecallAndStoreRules)

## Enumeration Documentation

RulesStorage

Enumerator:

  RecallRules = 1 apply stored certificate rules (typically ignored errors) < p> |
  StoreRules = 2 make new ignore rules from the user's choice and store them < p> |
  RecallAndStoreRules = 3 apply stored rules and store new rules < p> |

## Function Documentation

bool askIgnoreSslErrors | ( | KTcpSocket | socket,
|  | KIO.SslUi.RulesStorage | storedRules=KIO.SslUi.RecallAndStoreRules
| ) |  |  |

apply stored rules and store new rules

bool askIgnoreSslErrors | ( | KSslErrorUiData | uiData,
|  | KIO.SslUi.RulesStorage | storedRules=KIO.SslUi.RecallAndStoreRules
| ) |  |  |